function player_init(player)
    player:set_height(38.0)

    local base_texture = Resources.load_texture("battle.png")
    local base_animation_path = "battle.animation"
    local base_charge_color = Color.new(57, 198, 243, 255)

    player:load_animation(base_animation_path)
    player:set_texture(base_texture)
    player:set_fully_charged_color(base_charge_color)
    player:set_charge_position(0, -20)


    player.normal_attack_func = function()
        return Buster.new(player, false, player:attack_level())
    end

    player.charged_attack_func = function()
        return Buster.new(player, true, player:attack_level() * 10)
    end

    -- simple megaman form
    local mega = player:create_form()
    mega:set_mugshot_texture("forms/mega_entry.png")

    mega.normal_attack_func = function()
        return Buster.new(player, false, 5)
    end

    mega.charged_attack_func = function()
        return Buster.new(player, true, 50)
    end

    mega.on_activate_func = function()
        -- use megaman assets
        player:load_animation("forms/mega.animation")
        player:set_texture(Resources.load_texture("forms/mega.png"))
    end

    mega.on_deactivate_func = function()
        player:load_animation(base_animation_path)
        player:set_texture(base_texture)
        player:set_fully_charged_color(base_charge_color)
    end
end
